<template>
  <swiper
    :modules="modules"
    :slides-per-view="3"
    :space-between="50"
    navigation
    :pagination="{ clickable: true }"
    :scrollbar="{ draggable: true }"
    @swiper="onSwiper"
    @slideChange="onSlideChange"
  >
    <swiper-slide class="slider" v-for="item of 10" :key="item"
      >Slide {{ item }}</swiper-slide
    >

    <template #wrapper-end>
      <div class="end" @click="mySwiper.slideNext()">content</div>
    </template>
  </swiper>
</template>
<script>
// Import Swiper Vue.js components
import { Swiper, SwiperSlide } from 'swiper/vue/swiper-vue';
import { Navigation, Pagination, Scrollbar, A11y } from 'swiper';
import { ref } from 'vue';
// Import Swiper styles
import 'swiper/swiper-bundle.min.css';
import 'swiper/modules/navigation/navigation.min.css';
import 'swiper/modules/pagination/pagination.min.css';
import 'swiper/modules/scrollbar/scrollbar.min.css';

export default {
  components: {
    Swiper,
    SwiperSlide
  },
  setup() {
    const mySwiper = ref();
    const onSwiper = (swiper) => {
      mySwiper.value = swiper;
    };
    const onSlideChange = () => {
      console.log('slide change');
    };
    return {
      mySwiper,
      onSwiper,
      onSlideChange,
      modules: [Navigation, Pagination, Scrollbar, A11y]
    };
  }
};
</script>

<style lang="scss" scoped>
.slider {
  height: 200px;
  margin: 0 10px;
  background: #cecece;
}

.end {
  width: 100px;
  height: 100px;
  background: red;
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
}
</style>
